<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\Dokumente\DokumenteUebersicht;

class DokumenteUebersichtUseCase extends \Kufer\Web\KuferTools\Basis\Dokumente\DokumenteUebersicht\DokumenteUebersichtUseCase
{
  public static function getToolSectionId()
  {
    return 754;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_DOKUMENTE_FA;
  }

  protected function getDatDocObj()
  {
    $user = $this->getUser();

    $datDoc = parent::getDatDocObj();
    if ($user->tnr > 0) {
      $datDoc->freigabe_firma_tools = true;
      $datDoc->nr = $user->tnr;
      $datDoc->typen = implode(',', \DatDocAPI::getDatDocDocumentTypes4Teilnehmer());
      $datDoc->only_unique_documents = true;
    }

    return $datDoc;
  }

  protected function isUploadAllowed()
  {
    return $this->isRechtAllowed('754.0.1') && \SessionOperations::getCurrentWebToolsUser()->tnr > 0;
  }
}